Bug 237582 - security/nettle: needs gmp 6.0 or newer
Summary: security/nettle: needs gmp 6.0 or newer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-04-26 13:18 UTC by Eugene Grosbein
Modified: 2019-04-27 11:11 UTC (History)
0 users

See Also:
eugen: maintainer-feedback+
eugen: maintainer-feedback?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Grosbein freebsd_committer 2019-04-26 13:18:57 UTC
Hi!

If math/gmp is installed but older than 6.0, security/nettle compiles (with some warnings) but fails to install due to some parts skipped during build:

...
configure: WARNING: GNU MP not found, or too old. GMP-6.0 or later is needed, see https://gmplib.org/.
    Support for public key algorithms will be unavailable.
...
===>  Installing for nettle-3.4.1_1
===>   Registering installation for nettle-3.4.1_1 as automatic
pkg-static: Unable to access file /data/ports/security/nettle/work/stage/usr/local/bin/pkcs1-conv:No such file or directory
pkg-static: Unable to access file /data/ports/security/nettle/work/stage/usr/local/lib/libhogweed.a:No such file or directory
pkg-static: Unable to access file /data/ports/security/nettle/work/stage/usr/local/lib/libhogweed.so:No such file or directory
pkg-static: Unable to access file /data/ports/security/nettle/work/stage/usr/local/lib/libhogweed.so.4:No such file or directory
pkg-static: Unable to access file /data/ports/security/nettle/work/stage/usr/local/lib/libhogweed.so.4.5:No such file or directory
pkg-static: Unable to access file /data/ports/security/nettle/work/stage/usr/local/libdata/pkgconfig/hogweed.pc:No such file or directory

Please correct Makefile to include required dependency version.
Comment 1 commit-hook freebsd_committer 2019-04-26 20:50:26 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Apr 26 20:49:52 UTC 2019
New revision: 500165
URL: https://svnweb.freebsd.org/changeset/ports/500165

Log:
  Add BUILD_DEPENDS

  security/nettle requires gmp 6.0.0+, otherwise support for public key algorithms will be unavailable.

  PR:		237582
  Submitted by:	eugen

Changes:
  head/security/nettle/Makefile
Comment 2 Po-Chuan Hsieh freebsd_committer 2019-04-26 20:51:18 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2019-04-26 20:55:32 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Apr 26 20:54:35 UTC 2019
New revision: 500167
URL: https://svnweb.freebsd.org/changeset/ports/500167

Log:
  MFH: r500165

  Add BUILD_DEPENDS

  security/nettle requires gmp 6.0.0+, otherwise support for public key algorithms will be unavailable.

  PR:		237582
  Submitted by:	eugen

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/security/nettle/Makefile